package com.platform.service;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

import com.platform.service.impl.ScriptMakeService;
import com.platform.utils.Configs;

public class ScriptMakeServiceTest {
	
	ScriptMakeService s = new ScriptMakeService();
	
	@Test
	public void findFileTime(){
		Date a = new Date();
		
		Map<String, String> sqlFilePathsStandard = new HashMap<String, String>();
		Map<String, String> sqlFilePathsLast = new HashMap<String, String>();
		Map<String, String> tsqlFilePathsStandard = new HashMap<String, String>();
		Map<String, String> tsqlFilePathsLast = new HashMap<String, String>();
		for (int i = 0; i < 1000; i++) {
			sqlFilePathsLast = s.getAllFile(sqlFilePathsLast,tsqlFilePathsLast,
					Configs.SQL_SCRIPT_PATH_LAST);
			// 遍历 查找 Configs.SQL_SCRIPT_PATH_STANDARD 脚本文件 放入集合中
			sqlFilePathsStandard = s.getAllFile(sqlFilePathsStandard,tsqlFilePathsLast,
					Configs.SQL_SCRIPT_PATH_STANDARD);
			
		}
		System.out.println(sqlFilePathsLast.size()+sqlFilePathsStandard.size());
		System.out.println(new Date().getTime() - a.getTime());
	}
	

}
